package com.cf.imes.module.executor.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum QuarrelEnum {
    PLATE_ITEM(0, "是"),
    OTHER_ITEM(1, "否");

    private final Integer status;
    private String value;

    public boolean equals(Integer status) {
        return this.status .equals(status) ;
    }

    public boolean equals(QuarrelEnum quarrelEnum) {
        return quarrelEnum != null && quarrelEnum.status .equals(this.getStatus()) ;
    }
}
